Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Flow_Protocol_Factory Class Reference

`#include <Protocol_Factory.h>`

Inheritance diagram for TAO_AV_Flow_Protocol_Factory

[legend]
Collaboration diagram for TAO_AV_Flow_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_AV_Flow_Protocol_Factory (void)
| Initialization hook.
virtual | ~TAO_AV_Flow_Protocol_Factory (void)
virtual int | init (int argc, char *argv[])
virtual int | match_protocol (const char *flow_string)
virtual TAO_AV_Protocol_Object* | make_protocol_object (TAO_FlowSpec_Entry *entry, TAO_Base_StreamEndPoint *endpoint, TAO_AV_Flow_Handler *handler, TAO_AV_Transport *transport)
virtual const char* | control_flow_factory (void)
## Public Attributes
int | ref_count

## Constructor & Destructor Documentation

TAO_AV_Flow_Protocol_Factory::TAO_AV_Flow_Protocol_Factory ( | void )

| Initialization hook.

TAO_AV_Flow_Protocol_Factory::~TAO_AV_Flow_Protocol_Factory ( | void )`[virtual]`

## Member Function Documentation

const char * TAO_AV_Flow_Protocol_Factory::control_flow_factory ( | void )`[virtual]`

| Reimplemented in TAO_AV_RTP_Flow_Factory.

int TAO_AV_Flow_Protocol_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Flow_Factory, TAO_AV_RTCP_Flow_Factory, TAO_AV_RTP_Flow_Factory, TAO_AV_SFP_Factory, TAO_AV_TCP_Flow_Factory, and TAO_AV_UDP_Flow_Factory.

TAO_AV_Protocol_Object * TAO_AV_Flow_Protocol_Factory::make_protocol_object ( | TAO_FlowSpec_Entry * entry,
| TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_Flow_Handler * handler,
| TAO_AV_Transport * transport )`[virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Flow_Factory, TAO_AV_RTCP_Flow_Factory, TAO_AV_RTP_Flow_Factory, TAO_AV_SFP_Factory, TAO_AV_TCP_Flow_Factory, and TAO_AV_UDP_Flow_Factory.

int TAO_AV_Flow_Protocol_Factory::match_protocol ( | const char * flow_string )`[virtual]`

| Reimplemented in TAO_AV_UDP_QoS_Flow_Factory, TAO_AV_RTCP_Flow_Factory, TAO_AV_RTP_Flow_Factory, TAO_AV_SFP_Factory, TAO_AV_TCP_Flow_Factory, and TAO_AV_UDP_Flow_Factory.

## Member Data Documentation

int TAO_AV_Flow_Protocol_Factory::ref_count

The documentation for this class was generated from the following files:

- Protocol_Factory.h
- Protocol_Factory.cpp